
package de.ivu.elect.business.gruppeimgebiet.boundary;

import javax.inject.Named;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.gruppe.entity.GruppeArt;

@GroupedConversationScoped
@ConversationGroup(ReferendumVorlageImGebietSearchParameters.class)
@Named(ReferendumVorlageImGebietSearchParameters.COMPONENT_NAME)
public class ReferendumVorlageImGebietSearchParameters extends AbstractGruppeImGebietSearchParameters {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "referendumVorlageImGebietSearchParameters";

  private Gebiet gebiet;

  public ReferendumVorlageImGebietSearchParameters() {
    super();
  }

  public Gebiet getGebiet() {
    return gebiet;
  }

  public void setGebiet(Gebiet gebiet) {
    this.gebiet = gebiet;
  }

  public GruppeArt getGruppeArt() {
    return GruppeArt.REFERENDUM_VORLAGE;
  }

  @Override
  public void reset() {
    super.reset();

    gebiet = null;
  }
}
